## Apache Zeta Components Manual :: Docs For Class ezcSearchFieldNotDefinedException

### Search::ezcSearchFieldNotDefinedException

### Class ezcSearchFieldNotDefinedException

Exception thrown when a field name is used that has not been defined through the document definition.

Source for this file: /Search/src/exceptions/field_not_defined.php

    Exception
       |
       --ezcBaseException
          |
          --ezcSearchException
             |
             --ezcSearchFieldNotDefinedException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcSearchFieldNotDefinedException | `__construct( $type , $field )` Constructs an ezcSearchFieldNotDefinedException for document type $type and field $field.

### Inherited Methods

From ezcSearchException
public void | `ezcSearchException::__construct()` Constructs an ezcSearchException
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcSearchFieldNotDefinedException __construct( string $type , string $field )

Constructs an ezcSearchFieldNotDefinedException for document type $type and field $field.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$field` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcSearchException::__construct()` | Constructs an ezcSearchException

Documentation generated by phpDocumentor 1.4.3